Skip to content

Check Personal Password Existence API

After the user logs in, call this API before changing the personal password to check whether the current user has set a password.

Request Description

Request Headers

Parameter NameNameRequiredTypeDescription
X-operating-sys-versionCaller operating system versionYesStringwindows10.1.1
X-device-fingerprintCaller device fingerprintYesString156aysdna213sc50
X-device-ipCaller IPNoString192.168.1.2
X-agentUser-Agent informationYesStringMozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X) AppleWebKit/605.1.15(KHTML, like Gecko) Mobile/15E148/HuaWei-AnyOffice/2.6.1802.0010/com.huawei.cloudlink.workplace
X-LUsed for internationalization language settingNoStringzh
X-client-idApplication authorization IDYesStringnTo1eRIub60vPb54WeE6aojPwYwImtl4
AuthorizationIDtoken returned by the user login API. Format is Bearer {id_token}YesStringBearer eyJraWQiOiI1ZWZhN2ZmZDA2Z...

Request Parameters

None

Response Example

Success Example

HTTP/1.1 200 OK

json
{
    "is_set_pwd": true
}

Error Example

HTTP/1.1 400 Bad Request

json
{
    "error_code": "SDK.COMMON.1001",
    "error_msg": "Parameter X-client-id cannot be left blank."
}

Response Parameters

Parameter NameNameTypeDescription
is_set_pwdWhether password existsStringReturns true if password exists, false otherwise

BambooCloud IDaaS Open Platform